import holmesRequest from '@/utils/holmesRequest'
// 获取sql监控列表
export function getSqlMonitorList(queryInfo) {
  return holmesRequest({
    url: '/monitor/task/list',
    method: 'get',
    params: queryInfo
  })
}
// 新增sql监控
export function addSqlMonitor(data) {
  return holmesRequest({
    url: '/monitor/task/add',
    method: 'post',
    data
  })
}
// 编辑sql监控
export function editSqlMonitor(data) {
  return holmesRequest({
    url: '/monitor/task/edit',
    method: 'post',
    data
  })
}
// 删除sql监控
export function delSqlMonitor(data) {
  return holmesRequest({
    url: '/monitor/task/delete',
    method: 'post',
    data
  })
}
// 执行sql监控
export function executeSqlMonitor(data) {
  return holmesRequest({
    url: '/monitor/task/execute',
    method: 'post',
    data
  })
}
// 发送sql监控
export function sendTestSqlMonitor(data) {
  return holmesRequest({
    url: '/monitor/task/test',
    method: 'post',
    data
  })
}
// 获取数据源列表
export function getSqlMonitorData(queryInfo) {
  return holmesRequest({
    url: '/monitor/ds/list',
    method: 'post',
    params: queryInfo
  })
}
